#ifdef UNDERSCORE
#define mt_icpt mt_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif


/* No. of character interface mnemonics */

#define NCIMN   8 

/* Maximum no. of visibility groups */

#define MXVISB  2 

/* Maximum no. of runway visual range groups */

#define MXRWVR  4 

/* Maximum no. of weather groups */

#define MXWTHR  3 

/* Maximum no. of sky condition groups */

#define MXSKYC  6 

/* No. of real single-level interface mnemonics */

#define NRSLMN  51  

/* Total no. of real interface mnemonics 
   (single layer + all multi-layer + total number of
   counters) */

#define NRIMN   (NRSLMN + (MXVISB*3) + (MXRWVR*5) + (MXSKYC*1) + 4) 

extern struct {
    int iryear ; int irmnth ; int irdays ; int irhour ; int irminu ;
    int irthrp ; int irauto ; int irdrct ; int irsped ; int irsknt ;
    int irgums ; int irgust ; int irdrc1 ; int irdrc2 ; int irvrtv ;
    int irtmpc ; int irdwpc ; int iralti ; int iraltm ; int irp03i ;
    int irp06i ; int irp24i ; int irp01i ; int irsnow ; int irsnew ;
    int irweqs ; int irctyl ; int irctym ; int irctyh ; int irmsun ;
    int irpmsl ; int irtdxc ; int irtdnc ; int irt6xc ; int irt6nc ;
    int irp03d ; int irctmx ; int irctmn ; int ircttp ; int ircorn ; 
    int irpwdr ; int irpwsp ; int irpwhr ; int irpwmn ; int irwshh ;
    int irwshm ; int irslat ; int irslon ; int irslev ; int irsst1 ;
    int irsest ; 
    int irnvsb ; int irvsby[MXVISB] ; int irvsbk[MXVISB] ;
    int irvsfl[MXVISB] ;
    int irnrwy ; int irv1ri[MXRWVR] ; int irv2ri[MXRWVR] ;
    int irv1rf[MXRWVR] ; int irv2rf[MXRWVR] ; int irrwyt[MXRWVR];
    int irnpwx;
    int irnsky; int ircmtn[MXSKYC];

} rintfp;       /* Pointers to relative locations of real interface mnemonics
                   within rimnem().  These pointers will be set by MT_IFSP
                   and then used as indices into the real interface values 
                   array rivals(). */

extern struct {
    float rivals[NRIMN];
} rintfv;                    /* Real interface values */

extern struct {
    int icstid ; int icrwid[MXRWVR]; int icwcod[MXWTHR];
} cintfp;       /* Pointers to relative locations of character interface 
                   mnemonics within cimnem().  These pointers will be set by 
                   DB_IFSP and then used as indices into the character 
                   interface values array civals(). */

extern struct {
    char civals[NCIMN][8];
} cintfv;                    /* Character interface values */
