#include "geminc.h"
#include "gemprm.h"
#include "mtcmn.h"

/*
**  Function prototypes.
*/
void mt_icpt( char [][8], char[][8], int * );

char *outstr( char [] );


void mt_icpt( char rimnem[][8], char cimnem[][8], int *iret )
{

    int ierwlg;

    unsigned int jj, nvsb, nrwy, npwx, nsky; 

    char logmsg[201];

/*
**  Print out all of the single-level character interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < (cintfp.icrwid[0]) - 1; jj++ ) {
	if ( cintfv.civals[jj][0] != CHSPAC ) {
	    sprintf( logmsg, "%s = ", outstr(cimnem[jj]) );
	    sprintf( &(logmsg[strlen(logmsg)]), "%s\n" ,
		     outstr(cintfv.civals[jj]) );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the single-level real interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < NRSLMN; jj++ ) {
	if ( ! ERMISS( rintfv.rivals[jj] ) ) {
	    sprintf( logmsg, "%s = %10.2f\n",
		     outstr(rimnem[jj]), rintfv.rivals[jj] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the multi-level interface values.
*/

/*
**  Visibility.                 
*/
    nvsb = ( unsigned int ) rintfv.rivals[(rintfp.irnvsb)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnvsb)-1]), nvsb );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( nvsb > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irvsby[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irvsbk[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irvsfl[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < nvsb ; jj++ ) {
	    sprintf( logmsg,
		     "%8.1f %8.1f %8.1f\n",
		     rintfv.rivals[(rintfp.irvsby[jj])-1],
		     rintfv.rivals[(rintfp.irvsbk[jj])-1],
		     rintfv.rivals[(rintfp.irvsfl[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Runway visual range.        
*/
    nrwy = ( unsigned int ) rintfv.rivals[(rintfp.irnrwy)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnrwy)-1]), nrwy );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

/* can I mix the char mnemonics w/ the real, since they have the same
counter?*/
    if ( nrwy > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irv1ri[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irv2ri[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irv1rf[0])-1]) );
	strcpy( &(logmsg[24]), outstr(rimnem[(rintfp.irv2rf[0])-1]) );
	strcpy( &(logmsg[32]), outstr(rimnem[(rintfp.irrwyt[0])-1]) );
	strcpy( &(logmsg[40]), outstr(cimnem[(cintfp.icrwid[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < nrwy ; jj++ ) {
	    sprintf( logmsg,
		     "%8.1f %8.1f %8.1f %8.1f %8.1f %s\n",
		     rintfv.rivals[(rintfp.irv1ri[jj])-1],
		     rintfv.rivals[(rintfp.irv2ri[jj])-1],
		     rintfv.rivals[(rintfp.irv1rf[jj])-1],  
		     rintfv.rivals[(rintfp.irv2rf[jj])-1],  
		     rintfv.rivals[(rintfp.irrwyt[jj])-1],  
		     outstr(cintfv.civals[(cintfp.icrwid[jj])-1]) );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Sky condition               
*/
    nsky = ( unsigned int ) rintfv.rivals[(rintfp.irnsky)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnsky)-1]), nsky );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( nsky > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.ircmtn[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < nsky ; jj++ ) {
	    sprintf( logmsg,
		     "%8.1f\n",
		     rintfv.rivals[(rintfp.ircmtn[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Weather.                    
*/
    npwx = ( unsigned int ) rintfv.rivals[(rintfp.irnpwx)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnpwx)-1]), npwx );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( npwx > 0 ) {
	strcpy(   logmsg,      outstr(cimnem[(cintfp.icwcod[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < npwx ; jj++ ) {
	    sprintf( logmsg,
		     "   %s\n",
		     outstr(cintfv.civals[(cintfp.icwcod[jj])-1]) );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Set return code.
*/
    *iret = 0;

    return;
}

char *outstr( char string[] ) {

    unsigned short ii;

    static char tmpstr[9];

/*
**  Return a null-terminated copy of string.
*/
    for ( ii = 0; ii < 8; ii++ ) {
	tmpstr[ii] = string[ii];
    }
    tmpstr[8] = '\0';

    return tmpstr;
}
